import React from 'react';
import Tag from '../tag';

export default function Detail(props) {
    const value = props.formatter ? props.formatter(props.value) : props.value;
    const componentAttr = props.componentAttr || {};
    const tagObj = componentAttr.isMultiple
        ? { maxTagTextLength: 10, maxTagCount: 2 }
        : { maxTagTextLength: 10, maxTagCount: 1 };
    if (!value) return null;
    if (typeof value === 'object') {
        return <Tag value={props.value} {...tagObj} />;
    }
}
